RemittanceInformationSEPA1Choice
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02

## Class RemittanceInformationSEPA1Choice

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02.RemittanceInformationSEPA1Choice

-     public class RemittanceInformationSEPA1Choice
      extends java.lang.Object

  Java class for RemittanceInformationSEPA1Choice complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RemittanceInformationSEPA1Choice">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice>
                 <element name="Ustrd" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}Max140Text"/>
                 <element name="Strd" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}StructuredRemittanceInformationSEPA1"/>
               </choice>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected StructuredRemittanceInformationSEPA1` | `strd`
    `protected java.lang.String` | `ustrd`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemittanceInformationSEPA1Choice()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StructuredRemittanceInformationSEPA1` | `getStrd()` Gets the value of the strd property.
    `java.lang.String` | `getUstrd()` Gets the value of the ustrd property.
    `void` | `setStrd(StructuredRemittanceInformationSEPA1 value)` Sets the value of the strd property.
    `void` | `setUstrd(java.lang.String value)` Sets the value of the ustrd property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ustrd

          protected java.lang.String ustrd

    - #### strd

          protected StructuredRemittanceInformationSEPA1 strd

  - ### Constructor Detail

    - #### RemittanceInformationSEPA1Choice

          public RemittanceInformationSEPA1Choice()

  - ### Method Detail

    - #### getUstrd

          public java.lang.String getUstrd()

      Gets the value of the ustrd property.
      Returns:
        possible object is `String`

    - #### setUstrd

          public void setUstrd(java.lang.String value)

      Sets the value of the ustrd property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStrd

          public StructuredRemittanceInformationSEPA1 getStrd()

      Gets the value of the strd property.
      Returns:
        possible object is `StructuredRemittanceInformationSEPA1`

    - #### setStrd

          public void setStrd(StructuredRemittanceInformationSEPA1 value)

      Sets the value of the strd property.
      Parameters:
        `value` - allowed object is `StructuredRemittanceInformationSEPA1`